%define name		dovecot
%define version		0.99.10
%define release		4mdk

Summary:	Dovecot secure IMAP server.
Name: 		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://dovecot.procontrol.fi
Source0:	http://dovecot.procontrol.fi/%{name}-%{version}.tar.bz2
Source1:	%{name}-pamd.bz2
Source2:	%{name}-init.bz2
Patch1:		%{name}-%{version}-conf.patch.bz2
Patch2:		%{name}-%{version}-mbox.patch.bz2
BuildRoot: 	%{_tmppath}/root-%{name}-%{version}
PreReq:         /sbin/chkconfig, /sbin/service, coreutils, rpm-helper
BuildRequires:	libsasl2-devel
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	postgresql-devel

%description 
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems,
written with security primarily in mind. Although it's written with C,
it uses several coding techniques to avoid most of the common
pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

%prep
%setup
%patch1 -p1 -b .conf
%patch2 -p1 -b .mbox

%build
%configure \
	--with-ssl=openssl \
	--with-ssldir="%{_sysconfdir}/ssl/dovecot" \
	--with-ldap \
	--with-pgsql \
	--with-cyrus-sasl2
%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/pam.d \
	%{buildroot}%{_initrddir} \
	%{buildroot}/var/lib/dovecot
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/pam.d/%{name}
bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/%{name}
mv -f %{buildroot}%{_sysconfdir}/dovecot-example.conf \
	%{buildroot}%{_sysconfdir}/dovecot.conf

# generate ghost .pem file
mkdir -p %{buildroot}%{_sysconfdir}/ssl/dovecot/{certs,private}

# Clean up buildroot
rm -rf %{buildroot}%{_datadir}/doc/dovecot/

%pre
%_pre_useradd dovecot /var/lib/dovecot /bin/false
%_pre_groupadd dovecot dovecot


%post
%_post_service dovecot

# create a ssl cert
if [ ! -f %{_sysconfdir}/ssl/dovecot/certs/dovecot.pem ]; then
pushd %{_sysconfdir}/ssl/dovecot &>/dev/null
umask 077
cat << EOF | openssl req -new -x509 -days 365 -nodes -out certs/dovecot.pem -keyout private/dovecot.pem &>/dev/null
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
localhost.localdomain
root@localhost.localdomain
EOF
chown root.root private/dovecot.pem certs/dovecot.pem
chmod 600 private/dovecot.pem certs/dovecot.pem
popd &>/dev/null
fi
exit 0

%preun
%_preun_service dovecot

%postun
%_postun_userdel dovecot
%_postun_groupdel dovecot
[ $1 = 0 ] && exit 0
/sbin/service dovecot condrestart 2>&1 > /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc doc/*.conf doc/*.sh doc/*.txt
%attr(0700,root,root) %dir /var/lib/dovecot
%attr(0600,root,root) %dir %{_sysconfdir}/ssl/dovecot/certs
%attr(0600,root,root) %dir %{_sysconfdir}/ssl/dovecot/private
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/dovecot.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/dovecot
%attr(0755,root,root) %config(noreplace) %{_initrddir}/dovecot
%attr(0755,root,root) %{_sbindir}/*
%{_libdir}/dovecot/


%changelog
* Sun Oct 12 2003 Brook Humphrey <bah@linux-mandrake.com> 0.99.10-4mdk
- fixed syntax error

* Sun Oct 12 2003 Brook Humphrey <bah@linux-mandrake.com> 0.99.10-3mdk
- fix to properly generate ssl and add directories

* Sun Oct 12 2003 Brook Humphrey <bah@linux-mandrake.com> 0.99.10-2mdk
- added scripts for generating ssl certificates

* Sun Jul 26 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.99.10-1mdk
- initial release based on Diag Wieers <dag@wieers.com> SPEC file.
- Patch for searching /Mail before /mail.
- Patch for providing a working default config file (still need
  to add SSL certificates or script to generate them).
